## NAME

s.probplot - Normal probability plot of a GRASS site list.
(GRASS Sites Program)

## SYNOPSIS

s.probplot
s.probplot help
s.probplot [-alq] sites=name width=value [graph=name]

## DESCRIPTION

s.probplot does normal or lognormal probability plots of site values.

## OPTIONS

### Flags:

-a
  Use all sites found in the named sites file, rather than limiting output to sites falling within the current geographic region.
-l
  Lognormal probability plot instead of normal.
-q
  Quiet. Cut out the chatter.

### Parameters:

sites=name
  Name of an existing sites file.
width=value
  Width of bins.
graph=name
  Basename to save graphing data/commands files. Graphs are saved in the current working directory with the extensions .gp and .dat

## NOTES

The plotting program can be selected by setting the environment variable GRASS_GNUPLOT .

## EXAMPLE

Given a sites file named example in the following format:

    83.8|92.2|3.5689
    83.8|82.2|3.9269
    83.8|80.2|3.5389
    83.8|69.2|3.7452

Suppose that we wish to examine normality of the site values (third column). The first step is to examine minimum and maximum and determine with the histogram bin width using s.univar:

  s.univar -gq sites=example

This command outputs:

    n=216
    min=1.489
    max=3.9419
    ...

along with other useful statistics. For this range and number of observations, we randomly select 0.1 as the histogram bin width. Then, the following command graphs a probability plot and saves it in the current working directory with a basename of myplot:

  s.probplt -q sites=example width=0.1 graph=myplot

To view the graph again, try

  gnuplot myplot.gp

Using gnuplot, the graphs may be output as PostScript, LaTeX, FrameMaker MIF, or many other formats.

## SEE ALSO

s.univar
s.normal
gnuplot

## BUGS

Please send all bug fixes and comments to the author or the grass development team.
`http://www.geog.uni-hannover.`

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Last changed: $Date: 2002/01/25 05:45:35 $